Package ghidra.app.merge.listing

# Class ScrollingListChoicesPanel

java.lang.Object
java.awt.Component
java.awt.Container
javax.swing.JComponent
javax.swing.JPanel
ghidra.app.merge.listing.ChoiceComponent
ghidra.app.merge.listing.ConflictPanel
ghidra.app.merge.listing.ScrollingListChoicesPanel

All Implemented Interfaces:
  `ImageObserver`, `MenuContainer`, `Serializable`, `Accessible`

public class ScrollingListChoicesPanel extends ConflictPanel
`ScrollingListChoicesPanel` provides a table type of format for resolving Each row that has choices represents the choices for a single conflict. Each conflict choice has a corresponding radio button and scrolling table/list of text.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class javax.swing.JPanel

  `JPanel.AccessibleJPanel`

  ## Nested classes/interfaces inherited from class javax.swing.JComponent

  `JComponent.AccessibleJComponent`

  ## Nested classes/interfaces inherited from class java.awt.Container

  `Container.AccessibleAWTContainer`

  ## Nested classes/interfaces inherited from class java.awt.Component

  `Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

- ## Field Summary

  ### Fields inherited from class javax.swing.JComponent

  `listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

  ### Fields inherited from class java.awt.Component

  `accessibleContext, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

  ### Fields inherited from interface java.awt.image.ImageObserver

  `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ScrollingListChoicesPanel()`
  Constructor for a various choices panel.
  `ScrollingListChoicesPanel(boolean isDoubleBuffered)`
  Constructor for a various choices panel.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `allChoicesAreResolved()`
  Returns true if the user made a selection for every conflict in the table.
  `boolean`
  `allChoicesAreSame()`
  Returns true if the user made a selection for every conflict in the table and made the same choice for every row.
  `void`
  `clear()`
  Removes header text for this panel and all table/row information.
  `int`
  `getNumConflictsResolved()`
  Returns the number of conflicts that have currently been resolved in this GUI component.
  `int`
  `getUseForAllChoice()`
  Returns an int value that indicates the choices currently selected for the Use For All choice in the conflict resolution table.
  `boolean`
  `hasChoice()`
  Returns true if the conflict panel currently provides at least one choice to the user.
  `void`
  `removeAllListeners()`
  Removes all listeners that were set on this panel for indicating user choices were being made or changed.

  ### Methods inherited from class ghidra.app.merge.listing.ConflictPanel

  `createUseForAllCheckBox`

  ### Methods inherited from class javax.swing.JPanel

  `getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

  ### Methods inherited from class javax.swing.JComponent

  `addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

  ### Methods inherited from class java.awt.Container

  `add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate, validateTree`

  ### Methods inherited from class java.awt.Component

  `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setMixingCutoutShape, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ScrollingListChoicesPanel

    public ScrollingListChoicesPanel()
    Constructor for a various choices panel.

  - ### ScrollingListChoicesPanel

    public ScrollingListChoicesPanel(boolean isDoubleBuffered)
    Constructor for a various choices panel.
    Parameters:
      `isDoubleBuffered` -

- ## Method Details

  - ### getUseForAllChoice

    public int getUseForAllChoice()
    Description copied from class: `ConflictPanel`
    Returns an int value that indicates the choices currently selected for the Use For All choice in the conflict resolution table. If there are multiple rows of choices, then all selected choices must be the same for each row or 0 is returned. Each button or check box has an associated value that can be bitwise 'OR'ed together to get the entire choice for the row.
    Specified by:
      `getUseForAllChoice` in class `ConflictPanel`
    Returns:
      the choice(s) currently selected.

  - ### hasChoice

    public boolean hasChoice()
    Description copied from class: `ConflictPanel`
    Returns true if the conflict panel currently provides at least one choice to the user.
    Specified by:
      `hasChoice` in class `ConflictPanel`
    Returns:
      true if the panel has a choice the user can select.

  - ### allChoicesAreResolved

    public boolean allChoicesAreResolved()
    Returns true if the user made a selection for every conflict in the table.
    Specified by:
      `allChoicesAreResolved` in class `ChoiceComponent`
    Returns:
      true if all conflicts are resolved.

  - ### getNumConflictsResolved

    public int getNumConflictsResolved()
    Description copied from class: `ChoiceComponent`
    Returns the number of conflicts that have currently been resolved in this GUI component.
    Specified by:
      `getNumConflictsResolved` in class `ChoiceComponent`
    Returns:
      the number resolved.

  - ### allChoicesAreSame

    public boolean allChoicesAreSame()
    Returns true if the user made a selection for every conflict in the table and made the same choice for every row.
    Specified by:
      `allChoicesAreSame` in class `ChoiceComponent`
    Returns:
      true if all conflicts are resolved the same.

  - ### removeAllListeners

    public void removeAllListeners()
    Description copied from class: `ConflictPanel`
    Removes all listeners that were set on this panel for indicating user choices were being made or changed.
    Specified by:
      `removeAllListeners` in class `ConflictPanel`

  - ### clear

    public void clear()
    Removes header text for this panel and all table/row information.
    Specified by:
      `clear` in class `ConflictPanel`